org.apache.tomcat.util.net

## Interface ApplicationBufferHandler

- All Known Implementing Classes:
    BufferedInputFilter, ChunkedInputFilter, Http11InputBuffer, IdentityInputFilter, InputBuffer

      public interface ApplicationBufferHandler

  Callback interface to be able to expand buffers when buffer overflow exceptions happen or to replace buffers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expand(int size)`
    `ByteBuffer` | `getByteBuffer()`
    `void` | `setByteBuffer(ByteBuffer buffer)`

- - ### Method Detail

    - #### setByteBuffer

          void setByteBuffer(ByteBuffer buffer)

    - #### getByteBuffer

          ByteBuffer getByteBuffer()

    - #### expand

          void expand(int size)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.